| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::defile Class Reference
Private

the defile class keep trace of the real path of files while the flow in the filter routines More...

`#include <defile.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| defile (const path &racine)
void | enfile (const cat_entree *e)
const path & | get_path () const
const std::string & | get_string () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the defile class keep trace of the real path of files while the flow in the filter routines

the filter routines manipulates flow of inode, where their relative order represent the directory structure. To be able to know what is the real path of the current inode, all previously passed inode must be known. this class is used to display the progression of the filtering routing, and the file on which the filtering routine operates

Definition at line 48 of file defile.hpp.

The documentation for this class was generated from the following file:

- defile.hpp